Subject: Re: Request_irq fails for IRQ2

From: Scott Wood <[email-masked]>
Date: Mon, 3 Oct 2011 12:24:02 -0500

On 10/03/2011 09:27 AM, [email-masked] wrote:
> I just don't know what I should pass for host , also when I pass NULL
> for host . I see the default host is NULL..
> Could you please help me. My project delivery is near , I need  help soon.

Ideally you should just use the device tree to describe this device,
then you wouldn't have to deal with finding the pointer to the controller.

Otherwise, modify the cpm2_pic driver to either call
irq_set_default_host() (in which case NULL should work) or to make
cpm2_pic_host non-static (in which case you should pass that).

-Scott